Deletes an item category by ID.
curl --request DELETE \
--url https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/item-categories/{id}import requests
url = "https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/item-categories/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/item-categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": "<string>",
"data": {
"id": 123,
"name": "<string>",
"state": "active",
"usedInItems": 123,
"beginDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"properties": [
"<string>"
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}ItemCategories
Deletes an item category by ID.
Hard-deletes an item category. Returns 404 if no item category with the given ID exists in the current organization, including one that belongs to another organization. Returns 409 if the category is in use by items.
DELETE
/
api
/
item-categories
/
{id}
Deletes an item category by ID.
Headers
Path Parameters
Unique identifier of the item category to delete.
Response
OK
The coarse outcome of the request, indicating whether it succeeded or failed.
Available options:
success, error The specific machine-readable outcome code, such as ok on success or the most specific error code on failure. Always lowercase on the wire.
The response payload, either a single object for a by-id read or an array for a bulk operation. Omitted from the body when there is no value.
Show child attributes
Show child attributes